summaryrefslogtreecommitdiff
path: root/package/proftpd/files/proftpd.init
diff options
context:
space:
mode:
authorPhil Sutter <phil@nwl.cc>2010-01-22 22:36:41 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-01-23 08:47:12 +0100
commitd47fe14025c27b78e8819e8f0c409b9cce1483b3 (patch)
treeedddf7359501314d1b2857a7956714d780ba08da /package/proftpd/files/proftpd.init
parent1b4f7c479cbd6489a626051674f9def7446872d7 (diff)
proftpd review
- prxs is a perl-script, so probably not runnable on the target - add an init-file for the daemon - use a locally saved proftpd.conf (for now only dropped some comments)
Diffstat (limited to 'package/proftpd/files/proftpd.init')
-rw-r--r--package/proftpd/files/proftpd.init30
1 files changed, 30 insertions, 0 deletions
diff --git a/package/proftpd/files/proftpd.init b/package/proftpd/files/proftpd.init
new file mode 100644
index 000000000..bf3dc0efe
--- /dev/null
+++ b/package/proftpd/files/proftpd.init
@@ -0,0 +1,30 @@
+#!/bin/sh
+#PKG proftpd
+#INIT 60
+
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${proftpd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ [ -f /etc/proftpd.conf ] || exit
+ proftpd
+ ;;
+stop)
+ pkill proftpd
+ ;;
+restart)
+ sh $0 stop
+ sleep 1
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?